Results 1 to 4 of 4

Thread: Requires PHP extension "pdo_mysql" ...help

  1. #1
    Join Date
    Jun 2008
    Location
    somewhere
    Posts
    69

    Default Requires PHP extension "pdo_mysql" ...help

    Hi i'm having a little trouble trying to rum "Magento" into my local Apache2 Server under my oS 11.1 64bits.

    After installing Apache2 and almost every module that i clould found, include "php5-pdo" during the "Magento" installation Magento complain about "pdo" and "pdo_mysql" ..
    what should i do..next ?
    Is there any thing still missing ?

    Code:
    magento-core/Lib_Varien requires PHP extension "PDO"
    magento-core/Lib_Varien requires PHP extension "pdo_mysql"
    magento-core/Mage_Core_Modules requires package "magento-core/Lib_Varien" (version >= 1.2.1, version <= 1.2.2, excluded versions: 1.2.2)
    magento-core/Mage_All_Latest requires package "magento-core/Mage_Core_Modules" (version >= 1.2.1.2, version <= 1.2.1.2)
    magento-core/Mage_Core_Adminhtml requires package "magento-core/Mage_Core_Modules" (version >= 1.2.1.1, version <= 1.2.2, excluded versions: 1.2.2)
    magento-core/Interface_Adminhtml_Default requires package "magento-core/Mage_Core_Adminhtml" (version >= 1.2.1.1, version <= 1.2.2, excluded versions: 1.2.2)
    magento-core/Interface_Frontend_Default requires package "magento-core/Mage_Core_Modules" (version >= 1.2.1, version <= 1.2.2, excluded versions: 1.2.2)
    magento-core/Interface_Install_Default requires package "magento-core/Mage_Core_Modules" (version >= 1.2.1, version <= 1.2.2, excluded versions: 1.2.2)
    Install Errors
    No valid packages found
    PEAR ERROR: install failed

  2. #2
    Join Date
    Jun 2008
    Location
    somewhere
    Posts
    69

    Default Re: Requires PHP extension "pdo_mysql" ...help

    The problem was solved ... my bad...premission problems i guess.

  3. #3
    jvmills NNTP User

    Default Re: Requires PHP extension "pdo_mysql" ...help

    The problem was solved ... my bad...premission problems i guess
    Hi, I am having similar problems, could you tell me what permissions you set to resolve the issue?

    Thanks

    Jamie

  4. #4
    jvmills NNTP User

    Default Re: Requires PHP extension "pdo_mysql" ...help

    Resolved, realised I was editing the wrong php ini file!!!

    Checked using phpinfo() cmd.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •